/*****************************************************************************\
* (c) Copyright 2021 CERN for the benefit of the LHCb Collaboration           *
*                                                                             *
* This software is distributed under the terms of the GNU General Public      *
* Licence version 3 (GPL Version 3), copied verbatim in the file "COPYING".   *
*                                                                             *
* In applying this licence, CERN does not waive the privileges and immunities *
* granted to it by virtue of its status as an Intergovernmental Organization  *
* or submit itself to any jurisdiction.                                       *
\*****************************************************************************/
body {
  font-family: Arial;
}
h3 {
  position: relative;
}
table {
  border-collapse: collapse;
}
th, td {
  border: 2px solid black;
  padding: 2px;
}
th {
  text-align: center;
}
td {
  text-align: left;
}

.bold-text {
  font-weight: bold;
}
svg text,
.mono-text {
  font-family: Consolas, Monaco, 'Andale Mono', 'Ubuntu Mono', monospace;
}
svg text {
  font-size: 75%;
}

/************/
/*Job status*/
/************/
/*Normal*/
.job-status-running {
  background-color: #8888ff;
}
.job-status-success {
  background-color: #88ff88;
}
.job-status-failed {
  background-color: #ff8888;
}
.job-status-unknown {
  background-color: #ffff88;
}
.job-data-kept-true {
  background-color: #88ff88;
}
.job-data-kept-false {
  background-color: #ff8888;
}
/*Hover*/
.job-status-running:hover {
  background-color: #ccccff;
}
.job-status-success:hover {
  background-color: #ccffcc;
}
.job-status-failed:hover {
  background-color: #ffcccc;
}
.job-status-unknown:hover {
  background-color: #ffffcc;
}
tr:hover .job-data-kept-true {
  background-color: #ccffcc;
}
tr:hover .job-data-kept-false {
  background-color: #ffaaaa;
}

/*******************/
/*Graphviz graphics*/
/*******************/
svg .node g text {
  pointer-events: none;
}
svg .node g text:hover {
  cursor: default;
}

/*************/
/*Log display*/
/*************/
#job-log,
#dirac-log,
div[id^='raw-yaml-'],
div[id^='rendered-yaml-'] {
  display: none;
}
span[class="display-button"],
#toggle-job-log-explain {
  position: absolute;
  bottom: 0;
  margin-left: 1em;
  font-size: 50%;
  background: black;
  color: white;
  padding: 0.5em;
  border-radius: 0.5em;
  cursor: pointer;
}
/* Filters window */
div.code-toolbar > .toolbar span .log-level {
  font-size: 1em;
  border-radius: 0;
  padding: 0;
}
div.code-toolbar > .toolbar span .log-level input {
  font-size: 1em;
  border-radius: 0;
  padding: 0;
  margin: 0 0.25em 0 0;
}
/* Explanation */
div#job-log-explain {
  background: #BBB;
  padding: 1em;
  border-radius: 1em;
}
div#job-log-explain > h4 {
  margin: 0;
  text-decoration: underline;
}

/*****************/
/*Prismjs toolbar*/
/*****************/
div.code-toolbar > .toolbar {
  opacity: 1;
  -webkit-user-select: none; /* Safari 3.1+ */
  -moz-user-select: none; /* Firefox 2+ */
  -ms-user-select: none; /* IE 10+ */
  user-select: none; /* Standard syntax */
}
div.code-toolbar > .toolbar a,
div.code-toolbar > .toolbar button,
div.code-toolbar > .toolbar span {
  margin: 0 0.25em 0 0.25em;
  text-decoration: none;
}

/*********************/
/*Syntax highlighting*/
/*********************/
pre[class*="language-"] {
  font-size: 75%;
}
div.code-toolbar > .toolbar span .log-level {
  color: #ffffff;
  font-family: Consolas, Monaco, 'Andale Mono', 'Ubuntu Mono', monospace;
  background: #272822;
  user-select: none;
}
div.code-toolbar > .toolbar span .log-level[value*=unknown],
.token.unknown {
  color: #bbbbbb;
}
div.code-toolbar > .toolbar span .log-level[value*=include],
.token.include {
  color: #a6e22e;
}
div.code-toolbar > .toolbar span .log-level[value*=config],
.token.config {
  color: #dddd33;
}
div.code-toolbar > .toolbar span .log-level[value*=welcome_message],
.token.welcome_message {
  color: #dddd33;
}
div.code-toolbar > .toolbar span .log-level[value*=success],
.token.success {
  color: #a6e22e;
}
div.code-toolbar > .toolbar span .log-level[value*=verbose],
.token.verbose {
  color: #888888;
}
div.code-toolbar > .toolbar span .log-level[value*=debug],
.token.debug {
  color: #ffa5ff;
}
div.code-toolbar > .toolbar span .log-level[value*=warning],
.token.warning {
  color: #ffa500;
}
div.code-toolbar > .toolbar span .log-level[value*=info],
.token.info {
  color: #ffffff;
}
div.code-toolbar > .toolbar span .log-level[value*=error],
.token.error {
  color: #ff5555;
}
div.code-toolbar > .toolbar span .log-level[value*=fatal],
.token.fatal {
  color: #ff0000;
}
div.code-toolbar > .toolbar span .log-level[value*=always],
.token.always {
  color: #8888ff;
}
/*Fix for = highlighting in bash*/
.token.operator {
  background: unset;
}
.jsroot-gui {
  display: none;
}
